Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class UndefinedType

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.TypeEntry
              org.apache.axis.wsdl.symbolTable.Type
                  org.apache.axis.wsdl.symbolTable.UndefinedType

All Implemented Interfaces:
  java.io.Serializable, Undefined

public class UndefinedType
extends Type
implements Undefined

This represents a QName found in a reference but is not defined. If the type is later defined, the UndefinedType is replaced with a new Type

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`componentType, containedAttributes, containedElements, dims, isBaseType, isSimpleType, itemQName, node, onlyLiteralReference, refType, types, undefined, underlTypeNillable`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`UndefinedType(QName pqName)` Construct a referenced (but as of yet undefined) type

Method Summary
`void` | `register(TypeEntry referrant)` Register referrant TypeEntry so that the code can update the TypeEntry when the Undefined Element or Type is defined
`void` | `update(TypeEntry def)` Call update with the actual TypeEntry.

Methods inherited from class org.apache.axis.wsdl.symbolTable.Type
`isGenerated, setGenerated`

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getComponentType, getContainedAttributes, getContainedElements, getDimensions, getItemQName, getNestedTypes, getNode, getRefType, getUndefinedTypeRef, getUnderlTypeNillable, isBaseType, isOnlyLiteralReferenced, isSimpleType, setBaseType, setComponentType, setContainedAttributes, setContainedElements, setItemQName, setOnlyLiteralReference, setRefType, setSimpleType, setUnderlTypeNillable, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndefinedType

    public UndefinedType(QName pqName)

  Construct a referenced (but as of yet undefined) type

Parameters:
  `pqName` -

Method Detail

### register

    public void register(TypeEntry referrant)

  Register referrant TypeEntry so that the code can update the TypeEntry when the Undefined Element or Type is defined

  Specified by:
    `register` in interface `Undefined`
  Parameters:
    `referrant` -

### update

    public void update(TypeEntry def)
                throws java.io.IOException

  Call update with the actual TypeEntry. This updates all of the referrant TypeEntry's that were registered.

  Specified by:
    `update` in interface `Undefined`
  Parameters:
    `def` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.